'
' JustLDAP test script for returning the "information message" for the last method called .
' Demonstrates standard text information message retrieval.
'
' NOTE: This is a secondary method should ONLY be called as part of a primary method.
'       It only returns limited additional information about the last primary method.
'       called.
'
'       This information is only meaningful if you are unsure of a result.
'       For example, the "IsUserMemberOfgroup" method returns a 1 or 0
'       which is sufficient for normal ASP or VBS flow control.
'       The additional information message in this case may contain either:
'       "User does not exist in this group."  or
'       "User does exist in this group."
'       
'
' Returns a String
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  ' Result = oLdap.{ <<<<<>  Call any of the JustLDAP methods here  >>>>>> }
 
  '
  ' other processing here......
  '
  '

  ' Now check text information message

  Result = oLdap.GetInformationMessage()

  Wscript.Echo Result 

Set oLdap = Nothing



