'
' JustLDAP test script for returning a text string error message for the last method called .
'
' NOTE: This is also a secondary method and should ONLY be called as part of a primary method.
'       It returns additional error information about the last primary method called.
'    
'
' Most of the JustLDAP samples show how to use this method.
'
' Returns a String    ' In this sample it returns "User not found."
'                       (Unless you have an 'xyzzy' user)
'            

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsUserDisabled("xyzzy")


  If Result <> 0 Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo Result ' 0 if no errors

Set oLdap = Nothing



