'
' JustLDAP test script for retrieving a user property
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), PropertyToSet, Value
'                    
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result, Item

Set oLdap = CreateObject("JustLDAP.Admin")


  Result = oLdap.GetUserProperty("newuser", "telephoneNumber")
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)    
  


Set oLdap = Nothing



