'
' This scripts searches ALL users in Active Directory for:
' LoginID (sAMAccountName), Employe ID and Surname.
' The results are written to a file.
'
Const ForReading = 1, ForWriting = 2, ForAppending = 8

' Active Directory attributes retrieved by JustLDAP

Attributes = "sAMAccountName, employeeID, sn"
 

' Open a text file for results
  
Set fso = CreateObject("Scripting.FileSystemObject")
Set ts = fso.OpenTextFile("C:\userdata.txt", ForWriting, True)

Set objLdap = CreateObject("JustLDAP.Find")

Set oRS = objLdap.Lookup("sAMAccountName", "*", Attributes)

'Enumerate the results putting a dash "-" on null, (empty) to make things easy.


  Do While Not oRS.EOF
 
    If Not IsNull(oRS.Fields("sAMAccountName")) Then

      sAMAccountName = oRS.Fields("sAMAccountName")

      If Not Isnull(oRS.Fields("employeeID")) Then
        employeeID = oRS.Fields("employeeID")
      Else
        employeeID = "-"
      End If

      If Not Isnull(oRS.Fields("sn")) Then
        sn =   oRS.Fields("sn") 
      Else
        sn = "-"
      End If
 
                             
      ts.WriteLine sAMAccountName & "," & employeeID & "," & sn
          
    End If
    oRS.MoveNext
 
  Loop

  ts.close   ' Close the file

  Set fso=Nothing
  Set oRS=Nothing
  Set objLdap=Nothing


  