'
' JustLDAP test script to to list all groups.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Returns an ADO Recordset
'

Option Explicit

Dim oLdap, Result, oRS, Item

Set oLdap = CreateObject("JustLDAP.Admin")

Set oRS = oLdap.ListAllGroups()


  If oLdap.ErrorOccurred() = True Then

    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo Result
  
  Else

    If Not IsNull(oRS) Then
      While Not oRS.EOF
        For Each Item In oRS.Fields
          If Not IsNull(Item.Value) Then
            Wscript.Echo(Item.Value)    
          End If
        Next
      oRS.MoveNext
      Wend
    End If
 
  End If

Set oRS = Nothing

Set oLdap = Nothing


