'
' JustLDAP test script for user membership in a named group.
' Note: The group name must be unique in the domain.
' This method has the advantage that if the name is unique in the domain,
' then you do not need to specify the full Group distinguishedName path.
'
'
' Input parameters - Group and UserID (sAMAccountName) i.e. User Login name
' Returns String.
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.ListMembersOfGroup("Administrators")

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo Result
 
 
Set oLdap = Nothing


