Option Explicit

Dim oLdap, UserID, oRS, cntr, item, Domain, Username, Password, SubValue
Const adVariant = 12

UserID = InputBox("Enter a Login ID to search for - e.g. bobuser")
If UserID = "" Then
  Wscript.Echo("No Login ID entered - exiting...")
  Wscript.Quit
End If


Domain = InputBox("Enter Domain DNS name e.g. company.com")
If Domain = "" Then
  Wscript.Echo("No Domain entered - exiting...")
  Wscript.Quit
End If

Username = InputBox("Enter a login ID that is valid for the domain e.g. robot42")
If Username = "" Then
  Wscript.Echo("No login access account name entered - exiting...")
  Wscript.Quit
End If

Password = InputBox("Enter account password - e.g. secretpw")
If UserID = "" Then
  Wscript.Echo("No account password entered - exiting...")
  Wscript.Quit
End If

Set oLdap = CreateObject("JustLDAP.Find")

Set oRS = oLdap.LookupUsing("sAMAccountName", UserID, "sn, givenName, mail, employeeID, telephoneNumber, directReports", Domain, Username, Password)

If Not IsNull(oRS) Then
  While Not oRS.EOF
    For Each Item In oRS.Fields
      If Not IsNull(Item.Value) Then
        If Item.Type <> adVariant then    'Check for "multivalued"
          Wscript.Echo(Item.Value)          'fields like 'directReports'
        else 
          For Each SubValue in Item.Value
            Wscript.Echo(SubValue)          'Display each item in the
          Next                                      'multivalued field
        End If
      End If
    Next
oRS.MoveNext
Wend
End If 
Set oRS = Nothing
Set oLdap = Nothing
